## bro-aux 0.35

=== CMakeLists.txt ===
project(BroAux C CXX)
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)
include(cmake/CommonCMakeConfig.cmake)

########################################################################
## Dependency Configuration

include(FindRequiredPackage)

FindRequiredPackage(FLEX)
FindRequiredPackage(PCAP)
FindRequiredPackage(BIND)
FindRequiredPackage(OpenSSL)

if (MISSING_PREREQS)
    foreach (prereq ${MISSING_PREREQ_DESCS})
        message(SEND_ERROR ${prereq})
    endforeach ()
    message(FATAL_ERROR "Configuration aborted due to missing prerequisites")
endif ()

include_directories(BEFORE
                    ${BIND_INCLUDE_DIR}
                    ${PCAP_INCLUDE_DIR}
                    ${OpenSSL_INCLUDE_DIR}
                    )

########################################################################
## System Introspection

include(CheckHeaders)
include(CheckFunctions)
include(CheckNameserCompat)
include(MiscTests)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.in
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

include_directories(BEFORE ${CMAKE_CURRENT_BINARY_DIR})

########################################################################
## Recurse on sub-directories

# For binary packaging or if this is the main CMake project, go through
# the regular install target, else use a custom target so programs
# have to be explicitly installed by the user via "make install-aux"
macro(AddAuxInstallTarget _target)
    if (BINARY_PACKAGING_MODE OR
        "${CMAKE_SOURCE_DIR}" STREQUAL "${PROJECT_SOURCE_DIR}")
        install(TARGETS ${_target} DESTINATION bin)
    else ()
        add_custom_target(install-${_target}
            COMMAND ${CMAKE_COMMAND} -E make_directory
                    ${CMAKE_INSTALL_PREFIX}/bin
            COMMAND ${CMAKE_COMMAND} -E copy $<TARGET_FILE:${_target}>
                    ${CMAKE_INSTALL_PREFIX}/bin)
        add_dependencies(install-${_target} ${_target})
        set(AUX_TARGETS install-${_target};${AUX_TARGETS})
        set(AUX_TARGETS ${AUX_TARGETS} PARENT_SCOPE)
    endif ()
endmacro(AddAuxInstallTarget)

if ( NOT BRO_MAN_INSTALL_PATH )
    set(BRO_MAN_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/share/man)
endif ()

add_subdirectory(adtrace)
add_subdirectory(bro-cut)
add_subdirectory(nftools)
add_subdirectory(rst)

if (NOT (BINARY_PACKAGING_MODE OR
         "${CMAKE_SOURCE_DIR}" STREQUAL "${PROJECT_SOURCE_DIR}") )
    add_custom_target(install-aux
        COMMENT "Bro auxiliary tools installed to ${CMAKE_INSTALL_PREFIX}/bin")
    add_dependencies(install-aux ${AUX_TARGETS})
endif ()

install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/bro-cut/bro-cut DESTINATION bin)

########################################################################
## Build Summary

if (CMAKE_BUILD_TYPE)
    string(TOUPPER ${CMAKE_BUILD_TYPE} BuildType)
endif ()

message(
    "\n==================|  Bro-Aux Build Summary  |==================="
    "\n"
    "\nInstall prefix:    ${CMAKE_INSTALL_PREFIX}"
    "\nDebug mode:        ${ENABLE_DEBUG}"
    "\n"
    "\nCC:                ${CMAKE_C_COMPILER}"
    "\nCFLAGS:            ${CMAKE_C_FLAGS} ${CMAKE_C_FLAGS_${BuildType}}"
    "\nCXX:               ${CMAKE_CXX_COMPILER}"
    "\nCXXFLAGS:          ${CMAKE_CXX_FLAGS} ${CMAKE_CXX_FLAGS_${BuildType}}"
    "\nCPP:               ${CMAKE_CXX_COMPILER}"
    "\n"
    "\n================================================================\n"
)

include(UserChangedWarning)

=== nftools/CMakeLists.txt ===
########### ftwire2bro target ###############

set(ftwire2bro_SRCS
    ftwire2bro.c
    nfcommon.h
)

add_executable(ftwire2bro ${ftwire2bro_SRCS})

target_link_libraries(ftwire2bro ${BIND_LIBRARY})

AddAuxInstallTarget(ftwire2bro)

########### nfcollector target ###############

set(nfcollector_SRCS
    nfcollector.c
    nfcommon.h
)

add_executable(nfcollector ${nfcollector_SRCS})

target_link_libraries(nfcollector)

AddAuxInstallTarget(nfcollector)

=== plugin-support/skeleton/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8)

project(Plugin)

include(BroPlugin)

bro_plugin_begin(@PLUGIN_NAMESPACE@ @PLUGIN_NAME@)
bro_plugin_cc(src/Plugin.cc)
bro_plugin_bif(src/@PLUGIN_NAME_LOWER@.bif)
bro_plugin_dist_files(README CHANGES COPYING VERSION)
bro_plugin_end()

=== debian/changelog ===
bro-aux (0.35-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 28 Jun 2015 15:59:48 +0200

bro-aux (0.34-1) unstable; urgency=medium

  * New upstream version

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 May 2015 18:35:43 +0200

bro-aux (0.33-1) unstable; urgency=low

  * Initial release (Closes: #771142)

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 12 Dec 2014 09:11:35 -0300

=== debian/control ===
Source: bro-aux
Section: net
Priority: optional
Maintainer: Raúl Benencia <rul@kalgan.cc>
Uploaders: Hilko Bengen <bengen@debian.org>
Build-Depends: cmake, debhelper (>= 9), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
Standards-Version: 3.9.6
Homepage: https://www.bro.org/sphinx/components/bro-aux/README.html
Vcs-Git: git://anonscm.debian.org/collab-maint/bro-aux.git
Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bro-aux.git/

Package: bro-aux
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Enhances: bro
Suggests: gawk
Description: small auxiliary tools for Bro
 This package provides handy auxiliary programs related to the use of the
 Bro Network Security Monitor.
 .
 The “adtrace” utility is used to compute the network address that compose
 the internal and extern nets that bro is monitoring. The “bro-cut” utility
 reads ASCII Bro logs on standard input and outputs them with only the
 specified columns (if no column names are specified, then all columns are
 output). The "nfcollector" and "ftwire2bro" utilities are for dealing with
 Bro’s custom file format for storing NetFlow records.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

%:
	dh $@ --buildsystem=cmake --builddir=build --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) -DBINARY_PACKAGING_MODE=true

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.bro.org/downloads/release/ bro-aux-(\d.*)\.tar\.gz

## bro-aux 0.38

=== debian/changelog ===
bro-aux (0.38-1) unstable; urgency=medium

  * New upstream version
  * Update watch file
  * Bump Standards-Version

 -- Hilko Bengen <bengen@debian.org>  Wed, 23 Nov 2016 10:12:26 +0100

## bro-aux 0.39

=== Makefile ===
#
# A simple static wrapper for a number of standard Makefile targets,
# mostly just forwarding to build/Makefile. This is provided only for
# convenience and supports only a subset of what CMake's Makefile
# to offer. For more, execute that one directly. 
#

BUILD=build
REPO=`basename \`git config --get remote.origin.url | sed 's/^[^:]*://g'\``
VERSION_FULL=$(REPO)-`cat VERSION`
VERSION_MIN=$(REPO)-`cat VERSION`-minimal
HAVE_MODULES=git submodule | grep -v cmake >/dev/null

all: configured
	$(MAKE) -C $(BUILD) $@

install: configured
	$(MAKE) -C $(BUILD) $@

clean: configured
	$(MAKE) -C $(BUILD) $@

dist:
	@rm -rf $(VERSION_FULL) $(VERSION_FULL).tgz
	@rm -rf $(VERSION_MIN) $(VERSION_MIN).tgz
	@git clone --recursive . $(VERSION_FULL) >/dev/null 2>&1
	@find $(VERSION_FULL) -name .git\* | xargs rm -rf
	@tar -czf $(VERSION_FULL).tgz $(VERSION_FULL) && echo Package: $(VERSION_FULL).tgz && rm -rf $(VERSION_FULL)
	@$(HAVE_MODULES) && git clone . $(VERSION_MIN) >/dev/null 2>&1 || exit 0
	@$(HAVE_MODULES) && (cd $(VERSION_MIN) && git submodule update --init cmake >/dev/null 2>&1) || exit 0
	@$(HAVE_MODULES) && find $(VERSION_MIN) -name .git\* | xargs rm -rf || exit 0
	@$(HAVE_MODULES) && tar -czf $(VERSION_MIN).tgz $(VERSION_MIN) && echo Package: $(VERSION_MIN).tgz && rm -rf $(VERSION_MIN) || exit 0

distclean:
	rm -rf $(BUILD)

.PHONY : test
test:
	@make -C testing

.PHONY : configured
configured:
	@test -d $(BUILD) || ( echo "Error: No build/ directory found. Did you run configure?" && exit 1 )
	@test -e $(BUILD)/Makefile || ( echo "Error: No build/Makefile found. Did you run configure?" && exit 1 )

=== debian/changelog ===
bro-aux (0.39-1) unstable; urgency=medium

  * New upstream version 0.39

 -- Hilko Bengen <bengen@debian.org>  Sun, 16 Jul 2017 21:27:32 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Raúl Benencia <rul@kalgan.cc>
 Uploaders: Hilko Bengen <bengen@debian.org>
 Build-Depends: cmake, debhelper (>= 9), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://www.bro.org/sphinx/components/bro-aux/README.html
 Vcs-Git: git://anonscm.debian.org/collab-maint/bro-aux.git
 Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bro-aux.git/

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
    https://www.bro.org/downloads/ bro-aux-(\d.*)\.tar\.gz

## bro-aux 0.42

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 include_directories(BEFORE
                     ${BIND_INCLUDE_DIR}
                     ${PCAP_INCLUDE_DIR}
-                    ${OpenSSL_INCLUDE_DIR}
+                    ${OPENSSL_INCLUDE_DIR}
                     )
 
 ########################################################################
@@ -66,7 +66,6 @@
 
 add_subdirectory(adtrace)
 add_subdirectory(bro-cut)
-add_subdirectory(nftools)
 add_subdirectory(rst)
 
 if (NOT (BINARY_PACKAGING_MODE OR

=== Makefile ===
#
# A simple static wrapper for a number of standard Makefile targets,
# mostly just forwarding to build/Makefile. This is provided only for
# convenience and supports only a subset of what CMake's Makefile
# to offer. For more, execute that one directly. 
#

BUILD=build
REPO=$$(cd $(CURDIR) && basename $$(git config --get remote.origin.url | sed 's/^[^:]*://g'))
VERSION_FULL=$(REPO)-$$(cd $(CURDIR) && cat VERSION)
VERSION_MIN=$(REPO)-$$(cd $(CURDIR) && cat VERSION)-minimal
GITDIR=$$(test -f .git && echo $$(cut -d" " -f2 .git) || echo .git)

all: configured
	$(MAKE) -C $(BUILD) $@

install: configured
	$(MAKE) -C $(BUILD) $@

clean: configured
	$(MAKE) -C $(BUILD) $@

dist:
	@test -e ../$(VERSION_FULL) && rm -ri ../$(VERSION_FULL) || true
	@cp -R . ../$(VERSION_FULL)
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do ((cd ../$(VERSION_FULL)/$$i && test -f .git && cp -R $(GITDIR) .gitnew && rm -f .git && mv .gitnew .git && sed -i.bak -e 's#[[:space:]]*worktree[[:space:]]*=[[:space:]]*.*##g' .git/config) || true); done
	@for i in . $$(git submodule foreach -q --recursive realpath --relative-to=$$(pwd) .); do (cd ../$(VERSION_FULL)/$$i && git reset -q --hard && git clean -ffdxq); done
	@(cd ../$(VERSION_FULL) && find . -name \.git\* | xargs rm -rf)
	@mv ../$(VERSION_FULL) .
	@tar -czf $(VERSION_FULL).tar.gz $(VERSION_FULL)
	@echo Package: $(VERSION_FULL).tar.gz
	@rm -rf $(VERSION_FULL)

distclean:
	rm -rf $(BUILD)

.PHONY : test
test:
	@make -C testing

.PHONY : configured
configured:
	@test -d $(BUILD) || ( echo "Error: No build/ directory found. Did you run configure?" && exit 1 )
	@test -e $(BUILD)/Makefile || ( echo "Error: No build/Makefile found. Did you run configure?" && exit 1 )

=== adtrace/CMakeLists.txt ===
set(adtrace_SRCS
    adtrace.c
    ether.h
    ethertype.h
    ip.h
)

add_executable(adtrace ${adtrace_SRCS})

target_link_libraries(adtrace ${PCAP_LIBRARY} ${BIND_LIBRARY})

AddAuxInstallTarget(adtrace)

=== bro-cut/CMakeLists.txt ===
set(brocut_SRCS
    bro-cut.c
)

add_executable(bro-cut ${brocut_SRCS})

install(FILES bro-cut.1 DESTINATION ${BRO_MAN_INSTALL_PATH}/man1)

=== rst/CMakeLists.txt ===
set(rst_SRCS
    rst.c
)

add_executable(rst ${rst_SRCS})

target_link_libraries(rst ${BIND_LIBRARY})

AddAuxInstallTarget(rst)

=== testing/Makefile ===

DIAG=diag.log
BTEST=../../btest/btest

all: cleanup btest-verbose

# Showing all tests.
btest-verbose:
	@$(BTEST) -j -f $(DIAG)

brief: cleanup btest-brief

# Brief output showing only failed tests.
btest-brief:
	@$(BTEST) -j -b -f $(DIAG)

cleanup:
	@rm -f $(DIAG)

.PHONY: all btest-verbose brief btest-brief cleanup

=== plugin-support/skeleton/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 cmake_minimum_required(VERSION 2.8)
 
-project(Plugin)
+project(BroPlugin@PLUGIN_NAME@)
 
 include(BroPlugin)
 
@@ -10,3 +10,11 @@
 bro_plugin_bif(src/@PLUGIN_NAME_LOWER@.bif)
 bro_plugin_dist_files(README CHANGES COPYING VERSION)
 bro_plugin_end()
+
+file(STRINGS "${CMAKE_CURRENT_SOURCE_DIR}/VERSION" VERSION LIMIT_COUNT 1)
+
+if ("${PROJECT_SOURCE_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
+    # Allows building rpm/deb packages via "make package" in build dir.
+    include(ConfigurePackaging)
+    ConfigurePackaging(${VERSION})
+endif ()

=== plugin-support/skeleton/Makefile ===
#
# Convenience Makefile providing a few common top-level targets.
#

cmake_build_dir=build
arch=`uname -s | tr A-Z a-z`-`uname -m`

all: build-it

build-it:
	@test -e $(cmake_build_dir)/config.status || ./configure
	-@test -e $(cmake_build_dir)/CMakeCache.txt && \
      test $(cmake_build_dir)/CMakeCache.txt -ot `cat $(cmake_build_dir)/CMakeCache.txt | grep BRO_DIST | cut -d '=' -f 2`/build/CMakeCache.txt && \
      echo Updating stale CMake cache && \
      touch $(cmake_build_dir)/CMakeCache.txt

	( cd $(cmake_build_dir) && make )

install:
	( cd $(cmake_build_dir) && make install )

clean:
	( cd $(cmake_build_dir) && make clean )

distclean:
	rm -rf $(cmake_build_dir)

test:
	make -C tests

=== plugin-support/skeleton/tests/Makefile ===

test:
	@btest

=== debian/changelog ===
bro-aux (0.42-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:36:17 +1100

bro-aux (0.42-1build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 13:58:22 +0100

bro-aux (0.42-1) unstable; urgency=medium

  * New upstream version 0.42
  * Drop unneeded dh --parallel parameter
  * Bump Debhelper compat level
  * Bump Standards-Version
  * Update Vcs-* headers after migration to salsa.debian.org

 -- Hilko Bengen <bengen@debian.org>  Mon, 24 Dec 2018 21:15:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: bro-aux
 Section: net
 Priority: optional
-Maintainer: Raúl Benencia <rul@kalgan.cc>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Raúl Benencia <rul@kalgan.cc>
 Uploaders: Hilko Bengen <bengen@debian.org>
-Build-Depends: cmake, debhelper (>= 9), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
-Standards-Version: 3.9.8
+Build-Depends: cmake, debhelper (>= 11), flex, libpcap0.8-dev | libpcap-dev, libssl-dev,
+Standards-Version: 4.3.0
 Homepage: https://www.bro.org/sphinx/components/bro-aux/README.html
-Vcs-Git: git://anonscm.debian.org/collab-maint/bro-aux.git
-Vcs-Browser: http://anonscm.debian.org/cgit/collab-maint/bro-aux.git/
+Vcs-Git: https://salsa.debian.org/bro-team/bro-aux.git
+Vcs-Browser: https://salsa.debian.org/bro-team/bro-aux
 
 Package: bro-aux
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/default.mk
 
 %:
-	dh $@ --buildsystem=cmake --builddir=build --parallel
+	dh $@ --buildsystem=cmake --builddir=build 
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
